Package org.gradle.api.artifacts

## Interface VersionCatalogsExtension

- All Superinterfaces:
    `java.lang.Iterable<VersionCatalog>`

      public interface VersionCatalogsExtension
      extends java.lang.Iterable<VersionCatalog>

  Gives access to all version catalogs available.
  Since:
    7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Optional<VersionCatalog>` | `find​(java.lang.String name)` | Tries to find a catalog with the corresponding name
    `java.util.Set<java.lang.String>` | `getCatalogNames()` | Returns the list of catalog names
    `default VersionCatalog` | `named​(java.lang.String name)` | Returns the catalog with the supplied name or throws an exception if it doesn't exist.

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### find

          java.util.Optional<VersionCatalog> find​(java.lang.String name)

      Tries to find a catalog with the corresponding name
      Parameters:
        `name` - the name of the catalog

    - #### named

          default VersionCatalog named​(java.lang.String name)

      Returns the catalog with the supplied name or throws an exception if it doesn't exist.

    - #### getCatalogNames

          java.util.Set<java.lang.String> getCatalogNames()

      Returns the list of catalog names
      Since:
        7.2